Configurar mensajes de errores de un plugin instalado


#1

Hola,

he instalado un plugin de la siguiente manera:

sudo gem install authlogic

y añado la dependencia al enviroment.rb

la cuestión:

  1. no tengo ningún directorio de plugins pero el plugin funciona…
  2. a la hora de traducir los textos del plugin no me aclaro. no leo muy
    muy bien inglés y en la documentación del plugin y más concreto aquí
    [http://authlogic.rubyforge.org/classes/Authlogic/I18n.html] creo que
    intenta decir que puedes definir los textos en tu locale siguiendo la
    misma estructura. Algo así:
    authlogic:
    error_messages:
    login_blank: can not be blank

pero esto no me funciona.

estoy un poco obtuso en este tema. alguien puede echar una mano?

Un saludo.


#2

sudo gem install authlogic
Plugin no, gema.

El 2 de junio de 2009 20:20, Js Ponja
removed_email_address@domain.invalidescribió:

  1. no tengo ningún directorio de plugins pero el plugin funciona…

estoy un poco obtuso en este tema. alguien puede echar una mano?

Un saludo.

Posted via http://www.ruby-forum.com/.


Ror-es mailing list
removed_email_address@domain.invalid
http://lists.simplelogica.net/mailman/listinfo/ror-es


“Cuantas menos cosas a pelo hagas en la vida, más cosas harás. En todos
los
sentidos”

Yo mismo


#3

gracias por contestar.

lo cual quiere decir que no voy a poder hacer uso de dicha librería en
el servidor si antes no instalo la gema en el susodicho. (supongo)

aún así he instalado el plugin por github y he probado la configuración
en el locale y no lo traduce.

alguien utiliza este plugin y lo ha traducido? mejor aún:

es utilizado el config/locale/es.yml para traducir los textos de un
determinado plugin?


#4

Js Ponja wrote:

gracias por contestar.

lo cual quiere decir que no voy a poder hacer uso de dicha librería en
el servidor si antes no instalo la gema en el susodicho. (supongo)

aún así he instalado el plugin por github y he probado la configuración
en el locale y no lo traduce.

alguien utiliza este plugin y lo ha traducido? mejor aún:

es utilizado el config/locale/es.yml para traducir los textos de un
determinado plugin?

Hola de nuevo lista. ya lo he conseguido. es curioso, las tabulaciones
del fichero config/locale/es.yml estaban mal a la hora de transcribir
los textos y por eso no me funcionaba.

Un saludo.

P.D usando rails 2.3.2